CREATE TABLE jg_fscl_attrb_def_tmpl_f (
    FSCL_ATTRB_DEF_TMPL_ID       NUMBER(18, 0),
    FSCL_ATTRIB_TEMPLATE_CODE    VARCHAR2(120)    NOT NULL,
    EFFECTIVE_START_DATE         DATE             NOT NULL,
    EFFECTIVE_END_DATE           DATE             NOT NULL,
    ENABLED_FLAG                 VARCHAR2(4)  ,
    INDUSTRY_TYPE                VARCHAR2(120),
    DOC_NATURE                   VARCHAR2(120),
    COMMITMENT_STMNT_CODE        VARCHAR2(120),
    PURCHASE_CONTRACT            VARCHAR2(240),
    PAYMENT_OPTION               VARCHAR2(120),
    FREIGHT_TYPE                 VARCHAR2(8)  ,
    ATTRIBUTE1                   VARCHAR2(600),
    ATTRIBUTE2                   VARCHAR2(600),
    ATTRIBUTE3                   VARCHAR2(600),
    ATTRIBUTE4                   VARCHAR2(600),
    ATTRIBUTE5                   VARCHAR2(600),
    ATTRIBUTE6                   VARCHAR2(600),
    ATTRIBUTE7                   VARCHAR2(600),
    ATTRIBUTE8                   VARCHAR2(600),
    ATTRIBUTE9                   VARCHAR2(600),
    ATTRIBUTE10                  VARCHAR2(600),
    ATTRIBUTE11                  VARCHAR2(600),
    ATTRIBUTE12                  VARCHAR2(600),
    ATTRIBUTE13                  VARCHAR2(600),
    ATTRIBUTE14                  VARCHAR2(600),
    ATTRIBUTE15                  VARCHAR2(600),
    ATTRIBUTE_CATEGORY           VARCHAR2(120),
    ATTRIBUTE_NUMBER1            NUMBER       ,
    ATTRIBUTE_NUMBER2            NUMBER       ,
    ATTRIBUTE_NUMBER3            NUMBER       ,
    ATTRIBUTE_NUMBER4            NUMBER       ,
    ATTRIBUTE_NUMBER5            NUMBER       ,
    ATTRIBUTE_DATE1              DATE         ,
    ATTRIBUTE_DATE2              DATE         ,
    ATTRIBUTE_DATE3              DATE         ,
    ATTRIBUTE_DATE4              DATE         ,
    ATTRIBUTE_DATE5              DATE         ,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    FSCL_ATTRB_DEF_TMPL_ID       NUMBER(18, 0),
    FSCL_ATTRIB_TEMPLATE_CODE    VARCHAR2(120)    NOT NULL,
    EFFECTIVE_START_DATE         DATE             NOT NULL,
    EFFECTIVE_END_DATE           DATE             NOT NULL,
    ENABLED_FLAG                 VARCHAR2(4)  ,
    INDUSTRY_TYPE                VARCHAR2(120),
    DOC_NATURE                   VARCHAR2(120),
    COMMITMENT_STMNT_CODE        VARCHAR2(120),
    PURCHASE_CONTRACT            VARCHAR2(240),
    PAYMENT_OPTION               VARCHAR2(120),
    FREIGHT_TYPE                 VARCHAR2(8)  ,
    ATTRIBUTE1                   VARCHAR2(600),
    ATTRIBUTE2                   VARCHAR2(600),
    ATTRIBUTE3                   VARCHAR2(600),
    ATTRIBUTE4                   VARCHAR2(600),
    ATTRIBUTE5                   VARCHAR2(600),
    ATTRIBUTE6                   VARCHAR2(600),
    ATTRIBUTE7                   VARCHAR2(600),
    ATTRIBUTE8                   VARCHAR2(600),
    ATTRIBUTE9                   VARCHAR2(600),
    ATTRIBUTE10                  VARCHAR2(600),
    ATTRIBUTE11                  VARCHAR2(600),
    ATTRIBUTE12                  VARCHAR2(600),
    ATTRIBUTE13                  VARCHAR2(600),
    ATTRIBUTE14                  VARCHAR2(600),
    ATTRIBUTE15                  VARCHAR2(600),
    ATTRIBUTE_CATEGORY           VARCHAR2(120),
    ATTRIBUTE_NUMBER1            NUMBER       ,
    ATTRIBUTE_NUMBER2            NUMBER       ,
    ATTRIBUTE_NUMBER3            NUMBER       ,
    ATTRIBUTE_NUMBER4            NUMBER       ,
    ATTRIBUTE_NUMBER5            NUMBER       ,
    ATTRIBUTE_DATE1              DATE         ,
    ATTRIBUTE_DATE2              DATE         ,
    ATTRIBUTE_DATE3              DATE         ,
    ATTRIBUTE_DATE4              DATE         ,
    ATTRIBUTE_DATE5              DATE         ,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_jg_fscl_attrb_def_tmpl_f PRIMARY KEY (FSCL_ATTRB_DEF_TMPL_ID, FSCL_ATTRB_DEF_TMPL_ID)
);
